#include "clickablelabel.h"
#include <QDebug>

ClickableLabel *ClickableLabel::active_label = nullptr;

ClickableLabel::ClickableLabel(QWidget* parent, Qt::WindowFlags)
    : QLabel(parent) {

}

ClickableLabel::~ClickableLabel() {}

ClickableLabel *ClickableLabel::getActiveLabel()
{
    return active_label;
}

void ClickableLabel::mousePressEvent(QMouseEvent* event) {
    event->accept();
    emit clicked();
}

void ClickableLabel::mouseMoveEvent(QMouseEvent *)
{
    if (active_label != this) {
        qDebug() << "Entered " << objectName() << "\n";
        active_label = this;
        qDebug() << size();
        emit active_label_changed();
    }
}
